Shift all active appointments in a doctor's blocked range to the next available slots
and send patients a reschedule confirmation message
curl --request POST \
--url https://app.flextell.ai/api/v1/appointments/reschedule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Tenant: <x-tenant>' \
--data '
{
"user_id": 2,
"blocked_from": "2023-11-07T05:31:56Z",
"blocked_until": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://app.flextell.ai/api/v1/appointments/reschedule"
payload = {
"user_id": 2,
"blocked_from": "2023-11-07T05:31:56Z",
"blocked_until": "2023-11-07T05:31:56Z"
}
headers = {
"X-Tenant": "<x-tenant>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Tenant': '<x-tenant>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
user_id: 2,
blocked_from: '2023-11-07T05:31:56Z',
blocked_until: '2023-11-07T05:31:56Z'
})
};
fetch('https://app.flextell.ai/api/v1/appointments/reschedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.flextell.ai/api/v1/appointments/reschedule",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'user_id' => 2,
'blocked_from' => '2023-11-07T05:31:56Z',
'blocked_until' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Tenant: <x-tenant>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.flextell.ai/api/v1/appointments/reschedule"
payload := strings.NewReader("{\n \"user_id\": 2,\n \"blocked_from\": \"2023-11-07T05:31:56Z\",\n \"blocked_until\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Tenant", "<x-tenant>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.flextell.ai/api/v1/appointments/reschedule")
.header("X-Tenant", "<x-tenant>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"user_id\": 2,\n \"blocked_from\": \"2023-11-07T05:31:56Z\",\n \"blocked_until\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.flextell.ai/api/v1/appointments/reschedule")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Tenant"] = '<x-tenant>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"user_id\": 2,\n \"blocked_from\": \"2023-11-07T05:31:56Z\",\n \"blocked_until\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"success": "<string>",
"data": {
"processed": 123,
"failed": 123,
"skipped": 123,
"superseded": 123,
"items": [
{
"appointment_id": "<string>",
"status": "skipped",
"reason_code": "CUSTOMER_ERASED",
"reason": "<string>"
}
],
"batch_id": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"success": false,
"error_code": "SETUP_REQUIRED",
"message": "Complete the required setup steps to continue.",
"data": {
"next_step": "clinic_info"
}
}Appointment
Shift all active appointments in a doctor's blocked range to the next available slots and send patients a reschedule confirmation message
Returns 202 Accepted: the pending slots and batch records are written synchronously,
while the patient confirmation messages are dispatched to the queue. A salesperson whose
range includes another rep’s lead gets 403 LEAD_NOT_ASSIGNED and nothing moves.
POST
/
v1
/
appointments
/
reschedule
Shift all active appointments in a doctor's blocked range to the next available slots
and send patients a reschedule confirmation message
curl --request POST \
--url https://app.flextell.ai/api/v1/appointments/reschedule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Tenant: <x-tenant>' \
--data '
{
"user_id": 2,
"blocked_from": "2023-11-07T05:31:56Z",
"blocked_until": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://app.flextell.ai/api/v1/appointments/reschedule"
payload = {
"user_id": 2,
"blocked_from": "2023-11-07T05:31:56Z",
"blocked_until": "2023-11-07T05:31:56Z"
}
headers = {
"X-Tenant": "<x-tenant>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Tenant': '<x-tenant>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
user_id: 2,
blocked_from: '2023-11-07T05:31:56Z',
blocked_until: '2023-11-07T05:31:56Z'
})
};
fetch('https://app.flextell.ai/api/v1/appointments/reschedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.flextell.ai/api/v1/appointments/reschedule",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'user_id' => 2,
'blocked_from' => '2023-11-07T05:31:56Z',
'blocked_until' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Tenant: <x-tenant>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.flextell.ai/api/v1/appointments/reschedule"
payload := strings.NewReader("{\n \"user_id\": 2,\n \"blocked_from\": \"2023-11-07T05:31:56Z\",\n \"blocked_until\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Tenant", "<x-tenant>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.flextell.ai/api/v1/appointments/reschedule")
.header("X-Tenant", "<x-tenant>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"user_id\": 2,\n \"blocked_from\": \"2023-11-07T05:31:56Z\",\n \"blocked_until\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.flextell.ai/api/v1/appointments/reschedule")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Tenant"] = '<x-tenant>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"user_id\": 2,\n \"blocked_from\": \"2023-11-07T05:31:56Z\",\n \"blocked_until\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"success": "<string>",
"data": {
"processed": 123,
"failed": 123,
"skipped": 123,
"superseded": 123,
"items": [
{
"appointment_id": "<string>",
"status": "skipped",
"reason_code": "CUSTOMER_ERASED",
"reason": "<string>"
}
],
"batch_id": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"success": false,
"error_code": "SETUP_REQUIRED",
"message": "Complete the required setup steps to continue.",
"data": {
"next_step": "clinic_info"
}
}Yetkilendirmeler
oauth2bearer
The access token received from the authorization server in the OAuth 2.0 flow.
Başlıklar
Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.
Gövde
application/json